org.springframework.data.jdbc.repository.config

## Class DialectResolver.DefaultDialectProvider

- java.lang.Object
- - org.springframework.data.jdbc.repository.config.DialectResolver.DefaultDialectProvider

All Implemented Interfaces:
  DialectResolver.JdbcDialectProvider

Enclosing class:
  DialectResolver

    public static class DialectResolver.DefaultDialectProvider
    extends Object
    implements DialectResolver.JdbcDialectProvider

### Constructor Summary

Constructors
Constructor and Description
`DefaultDialectProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Optional<Dialect>` `getDialect(JdbcOperations operations)` Returns a `Dialect` for a `DataSource`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultDialectProvider

    public DefaultDialectProvider()

### Method Detail

#### getDialect

    public Optional<Dialect> getDialect(JdbcOperations operations)

Description copied from interface: `DialectResolver.JdbcDialectProvider`
Returns a `Dialect` for a `DataSource`.

Specified by:
  `getDialect` in interface `DialectResolver.JdbcDialectProvider`
Parameters:
  `operations` - the `JdbcOperations` to be used with the `Dialect`.
Returns:
  `Optional` containing the `Dialect` if the `DialectResolver.JdbcDialectProvider` can provide a dialect object, otherwise `Optional.empty()`.